## python-mongomock 4.1.2

=== requirements.txt ===
sentinels
packaging

=== debian/changelog ===
python-mongomock (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Jul 2022 07:31:13 -0400

python-mongomock (4.0.0-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Jun 2022 16:50:02 -0400

python-mongomock (4.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1012267)

 -- Andrius Merkys <merkys@debian.org>  Thu, 02 Jun 2022 10:58:30 -0400

=== debian/control ===
Source: python-mongomock
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-packaging <!nocheck>,
 python3-pbr,
 python3-sentinels <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/mongomock/mongomock
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mongomock
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mongomock.git

Package: python3-mongomock
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Fake pymongo stub for testing simple MongoDB-dependent code (Python 3)
 Mongomock is a small library to help testing Python code that interacts with
 MongoDB via Pymongo.
 .
 The code can be tested in several ways:
 .
  1. It can be tested against a real mongodb instance with pymongo.
  2. It can receive a record-replay style mock as an argument. In this manner
     we record the expected calls (find, and then a series of updates), and
     replay them later.
  3. It can receive a carefully hand-crafted mock responding to find() and
     update() appropriately.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = mongomock

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_configure:
	echo "__version__ = '$(DEB_VERSION_UPSTREAM)'" > mongomock/__version__.py
	dh_auto_configure

override_dh_auto_test:
	rm tests/test__bulk_operations.py tests/test__gridfs.py tests/test__mongomock.py
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf mongomock.egg-info

=== debian/tests/control ===
Test-Command: http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 pytest-3
Depends:
 python3-pytest,
 @,

## python-mongomock 4.1.3

=== Makefile ===
default: test

detox-test:
	detox

travis-test: test

test: env
	.env/bin/nosetests -w tests

coverage-test: env
	.env/bin/coverage run .env/bin/nosetests -w tests

env: .env/.up-to-date

.env/.up-to-date: setup.py Makefile
	virtualenv .env
	.env/bin/pip install -e .
	.env/bin/pip install nose coverage PyExecJS pymongo
	touch .env/.up-to-date

.PHONY: doc

=== requirements.txt ===
sentinels
packaging
pytz

=== debian/changelog ===
python-mongomock (4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3
  * No need to remove tests anymore (Closes: #1049673)
  * Bump copyright years.
  * Run autopkgtest with pybuild.

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Feb 2024 05:41:02 -0500

python-mongomock (4.1.2-2) unstable; urgency=medium

  * Team upload.
  * Add missing depend on python3-pkg-resources (Closes: #1040576)

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jul 2023 20:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,20 @@
  python3-all,
  python3-packaging <!nocheck>,
  python3-pbr,
+ python3-pkg-resources,
  python3-sentinels <!nocheck>,
  python3-setuptools,
+ python3-tz <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://github.com/mongomock/mongomock
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mongomock
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mongomock.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-mongomock
 Architecture: all
 Depends:
+ python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Description: Fake pymongo stub for testing simple MongoDB-dependent code (Python 3)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = mongomock

%:
	dh $@ --buildsystem pybuild --with python3

execute_before_dh_auto_configure:
	echo "__version__ = '$(DEB_VERSION_UPSTREAM)'" > mongomock/__version__.py

execute_after_dh_auto_clean:
	rm -rf mongomock.egg-info

## python-mongomock 4.3.0

=== debian/changelog ===
python-mongomock (4.3.0-4) unstable; urgency=medium

  * Team upload.
  * Add patch to support pymongo in unstable

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Oct 2025 21:40:51 +0200

python-mongomock (4.3.0-3) unstable; urgency=medium

  * Team Upload
  * Replace python3-tz dependency with python3-pytz

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Sep 2025 10:30:52 +0200

python-mongomock (4.3.0-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest to import from the installed package rather than the
    source tree.
  * Add autopkgtest dependencies on python3-gridfs and python3-pymongo.
  * Drop now-unused (build-)dependency on python3-pkg-resources (closes:
    #1083666).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Dec 2024 16:19:50 +0000

python-mongomock (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0 (Closes: #1085136)
  * Exclude mongomock/__version__.py.
  * Skip local Mongo tests.
  * Add autopkgtest against #1085136.

 -- Andrius Merkys <merkys@debian.org>  Wed, 20 Nov 2024 09:09:40 -0500

=== debian/control ===
Source: python-mongomock
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatch-vcs,
 python3-hatchling,
 python3-packaging <!nocheck>,
 python3-pbr,
 python3-sentinels <!nocheck>,
 python3-setuptools,
 python3-pytz <!nocheck>,
 python3-pymongo <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/mongomock/mongomock
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mongomock
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mongomock.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-mongomock
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Fake pymongo stub for testing simple MongoDB-dependent code (Python 3)
 Mongomock is a small library to help testing Python code that interacts with
 MongoDB via Pymongo.
 .
 The code can be tested in several ways:
 .
  1. It can be tested against a real mongodb instance with pymongo.
  2. It can receive a record-replay style mock as an argument. In this manner
     the expected calls are recorded (find, and then a series of updates), and
     then replayed later.
  3. It can receive a carefully hand-crafted mock responding to find() and
     update() appropriately.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = mongomock
export NO_LOCAL_MONGO = 1

%:
	dh $@ --buildsystem pybuild

execute_before_dh_auto_configure:
	echo "__version__ = '$(DEB_VERSION_UPSTREAM)'" > mongomock/__version__.py

execute_after_dh_auto_clean:
	rm -rf mongomock.egg-info

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\.tar\.gz/mongomock-$1\.tar\.gz/ https://github.com/mongomock/mongomock/tags .*\/(\d\S+)\.tar\.gz
